Subject: bridging with gre tunnel

From: Timo Teräs <[email-masked]>
Date: Fri, 11 Jul 2008 09:30:08 +0300

Hi all,

It looks the current kernel still do not support bridging over gre
tunnels.

I did find an old patch for ip_gre that would enable this [1]. But
it needs porting from 2.4 to 2.6 kernels and looks like it needs
cleaning up too.

Is there newer/better patches to achieve this? Any thoughts about
doing bridging with gre tunnels?

Cheers,
  Timo

[1] http://mailman.ds9a.nl/pipermail/lartc/2003q4/010327.html